#
# spec file for package mm (Version 1.1.3)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake libtool
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         mm
Copyright:    BSD-style, Ralf S. Engelschall
Group:        Development/Libraries
Provides:     mm
Autoreqprov:  on
Version:      1.1.3
Release:      292
Summary:      Shared Memory Library
Source:       ftp://ftp.engelschall.com/sw/mm/mm-1.1.3.tar.bz2
Patch:        mm-1.1.3.dif
Icon:         mm.xpm
Url:          http://www.engelschall.com/sw/mm/
Patch3:       mm-tmp-race.dif
Patch4:       segment_size.dif
Patch5:       no_libtool.dif
# limit the shared memory maximum segment size to this many MB
%define mm_segment_limit 32
#
# note that the maximum size that 2.4 kernel allows is 32 MB by default
# (that's low, but it's runtime configurable).
# but then again, php typically allocates the maximum size possible
# each time it is started, so we don't necessarily want to increase this
# and definitely it must not be higher than /proc/sys/kernel/shmmax because
# mm_create will fail if a larger size is requested.
#
# mm is not runtime configurable wrt max segment size. Thus we need to
# choose a reasonably low value for all those machines out there.
# Ideally this would be runtime configurable; and in addition php should
# possibly only mm_create a reasonable sized segment and mm_realloc it
# later if need be.

%description
The MM library is a 2-layer abstraction library which simplifies the
usage of shared memory between forked (and this way strongly related)
processes under Unix platforms. On the first layer it hides all
platform dependent implementation details (allocation and locking)
when dealing with shared memory segments and on the second layer it
provides a high-level malloc(3)-style API for a convenient and well
known way to work with data-structures inside those shared memory
segments.

Authors:
--------
    Ralf S. Engelschall <rse@engelschall.com>

SuSE series: d

%prep
%setup
%patch
%patch3 -p1
%patch4 -p0
%patch5
%{?suse_update_config:%{suse_update_config -f }}
mv aclocal.m4 acinclude.m4
libtoolize --force --copy
aclocal
automake -a -c ||:
autoconf

%build
#autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_usr} \
	--libdir=%{_libdir} --includedir=%{_includedir} \
	--mandir=%{_mandir} --enable-shared \
       --with-max-segment-size=%{mm_segment_limit} \
	--with-shm=IPCSHM \
	--enable-static	%{_target_cpu}-suse-linux
make LIBTOOL=/usr/bin/libtool SHTOOL=./shtool
strip .libs/libmm.so.*
if test "$ABUILD_RUN_TEST_SUITES" = true ; then
	make test
fi

%install
make LIBTOOL=/usr/bin/libtool SHTOOL=./shtool install
chmod 755 %{_libdir}/libmm.s*
ldconfig -n %{_libdir}

%files
%defattr(-, root, root)
%doc ChangeLog INSTALL LICENSE README PORTING THANKS
%{_libdir}/libmm.*
%{_includedir}/mm.h
%{_mandir}/man1/mm-config.1.gz
%{_mandir}/man3/mm.3.gz
%{_bindir}/mm-config

%changelog -n mm
* Fri Jul 26 2002 - poeml@suse.de
- security fix for tmp-file problem
- Fixes possible apache+mod_php4 start failure [#16760]
  We need to set the maximum shared memory segment size --which is
  hardcoded at compile time-- to the target system default value
  (32MB), and not to the current value on the *build* host.
  (mm's configure tries to find out how much it can get; it would
  allow up to 64MB.)
  We've made this configurable now, defaulting to 32MB, but before
  you increase it note that some applications might just plainly
  allocate a maximum sized segment, like the php interpreter does
  when it calls mm_create with size=0.
- remove AC_PROG_LIBTOOL from aclocal.m4, evacuate it by renaming
  it to acinclude.m4 and autoreconf --force --install.
* Wed Jun 06 2001 - rolf@suse.de
- fixed problem with autoconf
- added ldconfig -n %%{_libdir}
- bzip2 sources
* Fri Oct 06 2000 - rolf@suse.de
- update to version 1.1.3
* Mon May 22 2000 - rolf@suse.de
- fixed bug in suse_update macro
* Thu May 18 2000 - rolf@suse.de
- update mm-1.1.1
* Fri Apr 14 2000 - ro@suse.de
- next try to fix install section
* Fri Apr 14 2000 - rolf@suse.de
- fixed bug in install section of Makefile.in
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Thu Apr 06 2000 - rolf@suse.de
- include mm-config as well
* Thu Mar 23 2000 - rolf@suse.de
- version 1.0.12
